List an Organization's Flag Logs

GET /api/0/organizations/{organization_id_or_slug}/flags/logs/

Return a paginated list of feature flag changes (creations, updates and deletions) recorded for an organization within the requested time range.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

Query Parameters:

start (string)

The start of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.

end (string)

The end of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.

statsPeriod (string)

The period of time for the query, will override the start & end parameters, a number followed by one of:

  • d for days
  • h for hours
  • m for minutes
  • s for seconds
  • w for weeks

For example, 24h, to mean query data starting from 24 hours ago to now.

statsPeriodStart (string)

How long ago the query period starts, in the same format as statsPeriod. Must be sent with statsPeriodEnd, and is ignored when statsPeriod is sent.

statsPeriodEnd (string)

How long ago the query period ends, in the same format as statsPeriod. Must be sent with statsPeriodStart, and is ignored when statsPeriod is sent.

flag (array(string))

The name of a feature flag to filter by. Repeat the parameter to match multiple flags.

provider (array(string))
choices:
  • flagpole
  • generic
  • launchdarkly
  • statsig
  • unknown
  • unleash

The flag provider to filter by. Use unknown to match logs without a provider. Repeat the parameter to match multiple providers.

sort (string)

The field to sort results by.

Available fields are:

  • action
  • createdAt
  • createdBy
  • createdByType
  • flag
  • provider

Prefix with - to sort in descending order.

per_page (integer)

Limit the number of rows to return in the result. Default and maximum allowed is 100.

cursor (string)

A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

Scopes

<auth_token> requires one of the following scopes:
  • org:admin
  • org:read
  • org:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/flags/logs/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
{ "data": [ { "id": 1, "action": "updated", "createdAt": "2024-01-01T05:12:33.000000+00:00", "createdBy": "jane.doe@example.com", "createdByType": "email", "flag": "new-checkout-flow", "provider": "launchdarkly", "tags": { "environment": "production" } } ] }
Was this helpful?